# QStyleOptionSlider Class Reference

### [com.trolltech.qt.gui package]

Inherits QStyleOptionComplex.

### Constructor

- void QStyleOptionSlider()
- void QStyleOptionSlider(QStyleOptionSlider other)

### Constructor Properties

- prototype: The QStyleOptionSlider prototype object
- Version = 1
- StyleOptionVersion( value )
- Type = SO_Slider
- StyleOptionType( value )

### Instance Properties

QStyleOptionSlider objects have no special properties beyond those inherited from the QStyleOptionSlider prototype object.